cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
735
Views
12
Helpful
4
Replies
Highlighted
Participant

Upgrading NAM-1 from 3.4(1a-Patch-3) to 3.5.1

Hi,

Has anyone here had success loading 3.5.1 onto their NAM-1 ?

I am trying to upgrade from 3.5(1a-Patch-3).

The NAM-1 is time synched with the switch, but

even if I sync with ntp server it still does not work.

Here,

root@nam-1# show ver

NAM application image version: 3.4(1a-Patch-3)

Maintenance image version: 2.1(2)

BIOS Version: 4.0-Rel 6.0.9

Installed patches:

Wed Dec 28 11:48:30 2005 Patch: nam-app.3-4.strong-crypto-patchK9-1-0 Descriptio

n: Strong Crypto Patch for NAM.

Wed Dec 28 11:56:23 2005 Patch: nam-app-patch.3-4-1-0 Description: Patch 1 for N

AM release 3.4(1a)

Wed Dec 28 11:53:48 2005 Patch: nam-app-patch.3-4-2-0 Description: Patch 2 for N

AM release 3.4(1a)

Tue Aug 15 12:58:19 2006 Patch: nam-app-patch.3-4-3-0 Description: Patch 3 for N

AM release 3.4(1a)

root@nam-1# patch ftp://anonymous@10.3.100.81/c6svc-nam.3-5-1.bin.

gz

Proceeding with installation. Please do not interrupt.

If installation is interrupted, please try again.

Downloading c6svc-nam.3-5-1.bin.gz. Please wait...

Password for anonymous@10.3.100.81:

ftp://anonymous@10.3.100.81/c6svc-nam.3-5-1.bin.gz (66188K)

/usr/local/nam/patch/wor [########################] 66188K | 9218.54K/s

67777108 bytes transferred in 7.18 sec (9218.39k/sec)

Verifying c6svc-nam.3-5-1.bin.gz. Please wait...

Error: Verification failed.

Error: The signature of the patch you are trying to apply could not be verified.

It is not compatible with this release or the system time is off.

Error: Cannot continue with patch apply. Exiting...

root@nam-1#

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Collaborator

Forgot to add earlier, c6svc-nam.3-5-1.bin.

gz is application image and you're using the wrong patch command here. To apply the application image update, you need to use the upgrade command.

View solution in original post

4 REPLIES 4
Highlighted
Collaborator

3.5(1) is the application image and in order to upgrade the application image, the NAM first must be booted into the Maintenance Partition. Have you done this first?.

Highlighted
Collaborator

Forgot to add earlier, c6svc-nam.3-5-1.bin.

gz is application image and you're using the wrong patch command here. To apply the application image update, you need to use the upgrade command.

View solution in original post

Highlighted

Thanks rmushtaq, I will reschedule my maintenance window and try using the upgrade command. Doh.

I couldn't find a .readme file along with the .gz file to describe how to install.

Thanks again.

Highlighted

Hi Darren

Here you are the guide to upgrade NAM application image (in Catalysts with IOS SW):

http://www.cisco.com/en/US/products/hw/switches/ps708/products_configuration_guide_chapter09186a00805e34fd.html#wp1035516

Hope this helps

Content for Community-Ad